%define upstream_name	 SQL-Abstract
%define upstream_version 1.87

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Generate SQL from Perl data structures
License:    Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/SQL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Hash::Merge) >= 0.120.0
BuildRequires: perl(List::Util)
BuildRequires: perl(MRO::Compat) >= 0.120.0
BuildRequires: perl(Moo) >= 2.0.1
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Storable)
BuildRequires: perl(Sub::Quote) >= 2.0.1
BuildRequires: perl(Test::Builder::Module) >= 0.840.0
BuildRequires: perl(Test::Deep) >= 0.101.0
BuildRequires: perl(Test::Exception) >= 0.310.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Warn)
BuildRequires: perl(Text::Balanced) >= 2.0.0
BuildArch:  noarch

%{?perl_default_filter}

%description
This module was inspired by the excellent L<DBIx::Abstract>.
However, in using that module I found that what I really wanted
to do was generate SQL, but still retain complete control over my
statement handles and use the DBI interface. So, I set out to
create an abstract SQL generation module.

While based on the concepts used by DBIx::Abstract, there are
several important differences, especially when it comes to WHERE
clauses. I have modified the concepts used to make the SQL easier
to generate from Perl data structures and, IMO, more intuitive.
The underlying idea is for this module to do what you mean, based
on the data structures you provide it. The big advantage is that
you don't have to modify your code every time your data changes,
as this module figures it out.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
sed -i -e '/^inc\//d' MANIFEST

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%check
make test

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/*
%{_mandir}/*/*

%changelog
* Wed Jun 03 2020 tv <tv> 1.870.0-1.mga8
+ Revision: 1589870
- update to 1.87

* Wed Feb 12 2020 umeabot <umeabot> 1.860.0-3.mga8
+ Revision: 1506166
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.860.0-2.mga7
+ Revision: 1285966
- Mageia 7 Mass Rebuild

* Thu Jul 12 2018 tv <tv> 1.860.0-1.mga7
+ Revision: 1243135
- update to 1.86

* Sun Jan 28 2018 shlomif <shlomif> 1.850.0-1.mga7
+ Revision: 1197667
- update to 1.85

* Mon Jul 31 2017 sander85 <sander85> 1.840.0-1.mga7
+ Revision: 1133016
- update to 1.84

* Sun Jun 19 2016 pterjan <pterjan> 1.810.0-3.mga6
+ Revision: 1033326
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.810.0-2.mga6
+ Revision: 966861
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 1.810.0-1.mga6
+ Revision: 846975
- update to 1.81

* Wed Oct 15 2014 umeabot <umeabot> 1.780.0-5.mga5
+ Revision: 739510
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.780.0-4.mga5
+ Revision: 733410
- add exclude

* Sat Sep 27 2014 tv <tv> 1.780.0-3.mga5
+ Revision: 727726
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.780.0-2.mga5
+ Revision: 686139
- Mageia 5 Mass Rebuild

* Wed May 28 2014 sander85 <sander85> 1.780.0-1.mga5
+ Revision: 627217
- update to 1.78

* Sun Feb 09 2014 sander85 <sander85> 1.770.0-1.mga5
+ Revision: 587657
- update to 1.77

* Sat Oct 19 2013 umeabot <umeabot> 1.740.0-2.mga4
+ Revision: 527278
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1.740.0-1.mga4
+ Revision: 439844
- update to 1.74

* Sun Jan 13 2013 umeabot <umeabot> 1.730.0-2.mga3
+ Revision: 372434
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 12 2012 jquelin <jquelin> 1.730.0-1.mga3
+ Revision: 270331
- update to 1.73

* Sat Jan 22 2011 jquelin <jquelin> 1.720.0-1.mga1
+ Revision: 32372
- mageia rebuild
- imported package perl-SQL-Abstract

